#
# spec file for package osdlyrics
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define with_mpd 0
%define date 20170817

Name:           osdlyrics
Version:        0.4.3+git%{date}.8661927
Release:        lp150.3.29
Summary:        A third-party lyrics display program
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Visualization
Url:            https://github.com/osdlyrics/osdlyrics
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-appdata.xml
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  glibc-devel
BuildRequires:  gnome-common
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(appindicator-0.1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(xmms2-client)
%if %{with_mpd}
BuildRequires:  mpd
%endif
Requires:       gtk2
Requires:       sqlite3
Recommends:     python-%{name}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OSD Lyrics
====================

OSD Lyrics is a lyrics show compatible with various media players. It is not a plugin 
but a standalone program. OSD Lyrics shows lyrics on your desktop, in the style similar 
to KaraOK. It also provides another displaying style, in which lyrics scroll from 
bottom to top. OSD Lyrics can download lyrics from the network automatically.
====================

Authors:
--------
    Tiger Soldier <tigersoldi@gmail.com>
    SarlmolApple <sarlmolapple@gmail.com>
    SimplyZhao <simplyzhao@gmail.com>

%package -n python-%{name}
Summary:        Python module for osdlyrics
Group:          Productivity/Multimedia/Sound/Visualization
Requires:       %{name} = %{version}
%py_requires

%description -n python-osdlyrics
This package contains python module for osdlyrics

%lang_package

%prep
%setup -q -n osdlyrics-%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure  --enable-appindicator \
%if %{with_mpd}
            --enable-mpd \
%else
            --disable-mpd \
%endif
            --enable-xmms2
make %{?_smp_mflags}

%install
%make_install
install -d %{buildroot}%{_datadir}/appdata
cp %{SOURCE1} %{buildroot}%{_datadir}/appdata/
sed -i 's/$$version/%{version}/g; s/$$date/%{date}/g' \
%{buildroot}%{_datadir}/appdata/%{name}-appdata.xml

%suse_update_desktop_file %{name}

%find_lang %{name}
%fdupes %{buildroot}

%if 0%{?suse_version} < 1330
%post
%icon_theme_cache_post

%postun
%icon_theme_cache_post

%posttrans
%icon_theme_cache_post
%endif

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-create-lyricsource
%{_bindir}/%{name}-daemon
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.%{name}.*
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}-appdata.xml

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitelib}/%{name}

%files lang -f %{name}.lang

%changelog
* Sun Dec 17 2017 hillwood@opensuse.org
- Update appdata install.
* Tue Nov 28 2017 hillwood@opensuse.org
- Enable appindicator.
- Update %%suse_update_desktop_file Macro.
* Sun Nov 26 2017 hillwood@opensuse.org
- Add appdata.
* Thu Nov 23 2017 hillwood@opensuse.org
- Update to 0.4.3+git8661927
  * Fixed lyric download failed form Xiami source
  * Fix ensure_utf8() after
  * Make decode_by_charset work under both Python 2 and 3
  * Make ensure_unicode and ensure_utf8 no-op under Python 3
  * Make ElementTree produce a normal Unicode string
  * Use a key function instead of cmp in sort()
  * PEP8 fixes and Python3 compatibility for daemon/main.py
  * Skip the daemon's name when detecting MPRIS2 players.
  * Many features update.
- Drop osdlyrics-includes.patch, merged by upstream
- Update OSD Lyrics' home URL
- Update description.
- Drop Obsoletes tags.
- Use %%fdupes macro.
* Fri Nov  6 2015 hillwood@linuxfans.org
- Fix build in Leap: disable xmms2
* Fri Nov 16 2012 aj@suse.de
- Fix missing include (add patch patches/osdlyrics-includes.patch).
* Mon Jun  4 2012 hillwood@linuxfans.org
- update to 0.4.3
  * Player support:
  - Add cmus support, thanks to alepulver (not enable)
  * Bug fix:
  - Dir is not closed in _prepend_subdirs (ol_app_info.c)
  - Show player chooser if connected player quits in 1 minute
* Thu Mar  1 2012 hillwood@linuxfans.org
- add xmms2 spport
- split the translations in a lang subpackage
- rename patch file
- fixed some RPMLINT report warnings
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Jan 19 2012 hillwood@linuxfans.org
- update to 0.4.2
  * UI improvements:
  - Player choose dialog redesigned
  - Fade out on the edge of lyric text in OSD mode if it is too long
  - Drag-to-seek in scrolling mode
  * Player support:
  - Bring back support for Rhythmbox prior to 0.13
  - Support RhythmCat
  - Auto-detect the launch command for Audacious 2 and 3
  - Do not require root privilege to launch MPD
  * Bug fixes:
  - Blurring in OSD mode will not cause a frame around lyrics
  - Fix compilation issue in BDS systems.
  - Fix track duration in MPRIS support
  - Deal with player launch commands with %%f or %%U as arguments
  - ttPlayer engine can search lyrics with ' in the title
  - CUE sheets are supported now
  - Don't show invalid search result of Xiami engine
* Fri Dec  9 2011 hillwood@linuxfans.org
- Fix %%post* , change the license to "GPL-3.0" .
* Sun Nov 13 2011 hillwood@linuxfans.org
- support openSUSE 12.1
* Mon Jul 18 2011 hillwood@linuxfans.org
- Uptate to 0.4.1
- Choose player if no supported player running on launch
- Outline blur on OSD mode
- Support all MPRIS-compatible players
- New lyrics search site: xiami.com
- Fix ttPlayer search
- Search lyrics from more than one sites
- All files with the name of osd-lyrics are replaced to osdlyrics
* Sat Jul  9 2011 hillwood@linuxfans.org
- rewrite description.
* Mon Jun 27 2011 hillwood@linuxfans.org
- rename the package name.
* Sun Jun 26 2011 hillwood@linuxfans.org
- add support for Fedora and Mandriva.
* Fri Jun 10 2011 hillwood@linuxfans.org
- Uptate to 0.4.0
* Sun May 29 2011 hillwood@linuxfans.org
- Uptate to 0.4.0b1
* Wed Apr 20 2011 hillwood@linuxfans.org
- Inital package for opensuse and SLE.
